# Generated by Django 4.1 on 2023-03-16 13:05

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Infotexte',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('css_id', models.CharField(max_length=255)),
                ('informationen', models.TextField(blank=True)),
            ],
            options={
                'verbose_name_plural': 'Infotexte',
            },
        ),
        migrations.CreateModel(
            name='Kategorie',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
            ],
            options={
                'verbose_name_plural': 'Kategorien',
            },
        ),
        migrations.CreateModel(
            name='Massnahme',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('Maßnahme', models.CharField(max_length=255)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('updated', models.DateTimeField(auto_now=True)),
                ('Beschreibung', models.TextField(blank=True)),
                ('Quelle', models.TextField(blank=True)),
            ],
            options={
                'verbose_name_plural': 'Maßnahmen',
            },
        ),
        migrations.CreateModel(
            name='Priorisierungen',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
                ('name_0_punkte', models.CharField(max_length=255)),
                ('name_1_punkte', models.CharField(max_length=255)),
                ('name_2_punkte', models.CharField(max_length=255)),
            ],
            options={
                'verbose_name_plural': 'Priorisierungskategorien',
            },
        ),
        migrations.CreateModel(
            name='UnterKategorie',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
                ('icon', models.FileField(blank=True, upload_to='icons/')),
                ('ueber_kategorie', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='main.kategorie')),
            ],
            options={
                'verbose_name_plural': 'Unterkategorien',
            },
        ),
        migrations.CreateModel(
            name='Prioriserungs_Wertung',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('wertung', models.IntegerField(default=0)),
                ('massnahme', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='main.massnahme')),
                ('priorisierung', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='main.priorisierungen')),
            ],
            options={
                'verbose_name_plural': 'Priorisierungswertungen',
            },
        ),
        migrations.AddField(
            model_name='massnahme',
            name='unter_kategorien',
            field=models.ManyToManyField(blank=True, to='main.unterkategorie'),
        ),
    ]
